<template>
	<div style="margin: 3rem">
		<header style="margin:8rem 6rem 4rem">
      <ReturnButton :offsetArrow="20" :spanTitle="3" title="Regresar" v-on:clickEvent="returnPage" style="margin-bottom:3rem"></ReturnButton>
    </header>
		<!-- COMPONENTE TITULO -->
    <div style="margin:3rem 6rem">
      <app-title :Title="`HISTORIAL DE DISCO: ${diskCode}`"> </app-title>
    </div>

		<!-- container -->
    <div style="margin: 5rem 10rem">
			<el-row style="padding: 0 2rem; margin: 0 0 1.5rem;">
				<el-col :span="24" style="margin-bottom: 20px;">
					<span class="text__total_materials_copy">TOTAL DE MATERIALES COPIADOS:</span> 
					<span>{{materialsOfDisk.length}}</span>
				</el-col>
				<el-col :span="24" style="padding: 0.5rem 1.5rem;">
					<div class="box__info_of_disk">
						<span class="subtitle__info_of_disk">Fecha de Pedido:</span>
						<span>{{dateOfOrder}}</span>
					</div>
					<div class="box__info_of_disk">
						<span class="subtitle__info_of_disk">Fecha de Entrega:</span>
						<span>{{dateReceived}}</span>
					</div>
					<div class="box__info_of_disk">
						<span class="subtitle__info_of_disk">Número de Pedido:</span>
						<span>{{numberOrder}}</span>
					</div>
				</el-col>
			</el-row>

			<el-table style="width: 100%"
				:data="materialsOfDisk" max-height="445"
				:header-cell-class-name="tableRowClassName" border>

      	<!-- <el-table-column label="N° Grabadas">
					<template slot-scope="scope">
							<strong>{{scope.row.listTitle}}</strong>
					</template>
				</el-table-column> -->

        <el-table-column
          type="index"
          width="50">
        </el-table-column>

				<el-table-column label="MATERIAL">
					<template slot-scope="scope">
						<div class="first_cell__table_history">
							<strong>{{scope.row.listTitle}}</strong>
						</div>
					</template>
				</el-table-column>
				<el-table-column label="N° DEL CAPÍTULO">
					<template slot-scope="scope">
						<strong> {{scope.row.chapter}} </strong>
						<!-- <span v-if="scope.row.chapter !== '' && scope.row.reposition !== ''">- </span> 
						<strong class="text-red">{{scope.row.reposition}}</strong>
						<span v-if="(scope.row.reposition !== '' || scope.row.chapter !== '') && scope.row.backUp == 'SÍ'">- </span> 
						<strong class="text-green" v-if="scope.row.backUp == 'SÍ'">Back Up</strong> -->
					</template>
				</el-table-column>
				<el-table-column prop="typeOfContent" label="TIPO DE CONTENIDO">
				</el-table-column>
				<el-table-column label="FECHA DE COPIADO">
					<template slot-scope="scope">
						<p>{{ new Date(scope.row.dateOfCopy).toLocaleDateString('en-GB') }}</p>
					</template>
				</el-table-column>
      	<el-table-column label="ESTADO">

      		<template slot-scope="scope">
						<strong class="text-red"> {{scope.row.reposition}} </strong>
					</template>
          
				</el-table-column>

      	<el-table-column prop="backUp" label="BACK UP">
        	<template slot-scope="scope">
						<strong v-if="scope.row.backUp == 'SÍ'" class="text-green"> {{scope.row.backUp}} </strong>
            <strong v-else class="text-red"> {{scope.row.backUp}} </strong>
					</template>
				</el-table-column>
			</el-table>

    </div>
	</div>
</template>

<script>
import ReturnButton from '@/components/ReturnButton.vue'
import Title from '@/components/Title.vue'
import { HTTP } from '../../../main.js'

export default {
	components: {
   	'app-title': Title,
		ReturnButton,
	},
	data () {
    return {
			materialsOfDisk: this.$route.params.materials,
			diskCode: this.$route.params.diskCode,
			dateOfOrder: '',
			dateReceived: '',
			numberOrder: '',
		}
	},
	created() {
		this.getDiskData()
	},
	methods: {
		returnPage() {
      this.$router.push({name: 'diskHistory'})
		},
		tableRowClassName ({row, rowIndex}) {
      if (rowIndex === 0) {
        return 'bg-light-red';
      }
		},
		getDiskData() {
      
			let param = this.diskCode
			if(this.diskCode.indexOf('/') !== -1){
				let characterPosition = this.diskCode.indexOf('/')
				let newParam = this.diskCode.substr(0, characterPosition)+'&'+this.diskCode.substr(characterPosition+1, this.diskCode.length)
				param = newParam
			}
			console.log(param, 'param____')
			HTTP.get(`supports/diskCode/${param}`)
			.then((res)=>{
				console.log(res.data, 'res.data')
				let dataOfDisk = res.data
				if(dataOfDisk.length > 0){
					this.dateOfOrder = new Date(dataOfDisk[0].dateOfOrder).toLocaleDateString('en-GB') 
					this.dateReceived = (dataOfDisk[0].dateReceived == '')? 'Pendiente de recepción': new Date(dataOfDisk[0].dateReceived).toLocaleDateString('en-GB') 
					this.numberOrder = dataOfDisk[0].numberOrder
				} else {
					this.dateOfOrder = 'No Ingresado'
					this.dateReceived = 'No Ingresado'
					this.numberOrder = 'No Ingresado'
				}
			})
		}
	}
}
</script>

<style>
	.first_cell__table_history{
		padding: 0px 8px;
		word-break: break-word;
		line-height: 1.3;
	}
	.text__total_materials_copy{
		color: #FA812F;
		font-weight: 600;
		display: inline-block;
		margin-right: 10px;
	}
	.box__info_of_disk{
		font-size: 15px;
		margin: 0 8px 8px 0;
	}
	.subtitle__info_of_disk{
		width: 150px;
		display: inline-block;
		font-weight: 600;
	}
</style>